2019-10-16 15:31 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001822FSSCPFREDpublic2008-12-01 12:26
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001822: add-background-bitmap argument issues
DescriptionRan into several issues with this sexp today. Biggest problem is entering just about anything for the background bitmap name results in it being changed to <invalid> If you type in the name a couple of times it will take it. Trying to replace it with a variable doesn't work at all. Changing it to a variable in notepad and then running FS2 works just fine.

Also had similar difficulties using variable for other arguments but once you get them in there they will stay there and work.
Additional InformationOriginal problems noticed in TBP 3.6.9 but confirmed in a recent 3.6.10 build.

On the feature side it would be nice if it brought up the bitmap list to select from.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010213

karajorma (administrator)

Not bringing up the bitmap list is somewhat of a bug if that's all that can be assigned to it.

~0010307

karajorma (administrator)

I've fixed the problem with it not displaying a list properly which should completely eliminate the need to type the name of the bitmap in manually.

The issue with using a variable still remains but I assume it's not as high priority if this fix works?

~0010309

FUBAR-BDHR (developer)

Using a variable was the main point of the bug. Typing in the bitmap name twice wasn't a big deal. Typing in a variable and it not taking it at all was. Notepad fixed that but every time you want to change something in that sexp it looses the variable and it's back to notepad. Think random background objects with random-of. Never tried <argument> but that's not possible in this mission anyway since they are in two different events.

~0010311

karajorma (administrator)

Ah. Fair enough then. I had planned to look at variables some point this week anyway since it bugs me when you can't use them somewhere too.
+Notes

-Issue History
Date Modified Username Field Change
2008-11-17 00:55 FUBAR-BDHR New Issue
2008-11-17 13:12 karajorma Status new => assigned
2008-11-17 13:12 karajorma Assigned To => karajorma
2008-11-17 13:20 karajorma Note Added: 0010213
2008-11-30 08:03 karajorma Note Added: 0010307
2008-11-30 13:20 FUBAR-BDHR Note Added: 0010309
2008-11-30 14:40 karajorma Note Added: 0010311
2008-12-01 12:26 karajorma Status assigned => resolved
2008-12-01 12:26 karajorma Fixed in Version => 3.6.10
2008-12-01 12:26 karajorma Resolution open => fixed
+Issue History